# Address details component

Use the `drb2b_addressDetails` component to display the shoppers shipTo and billTo address. You can configure this component in the experience builder or flow.

You can publish an event to reload the address details component.  Depending on your flow, you may be required to reload the component if the shopper updates their shipping or billing address.

### Publish the Address details component event

Complete the following tasks to publish various event types. The event purpose and payload will vary depending on the use case.

Import `DigitalRiverMessageChannel__c message` channel and message service into a custom JavaScript file as shown below.

{% code title="Import example" %}

```
import dr_lms from "@salesforce/messageChannel/digitalriverv3__DigitalRiverMessageChannel__c";

import {publish, MessageContext } from "lightning/messageService";

```

{% endcode %}

Declare the message context variable as shown below.

{% code title="Declare variable example" %}

```
@wire(MessageContext) messageContext;
```

{% endcode %}

Publish the event.

{% code title="Event publishing example" %}

```
publish(this.messageContext, dr_lms, { 
                    purpose: '<purpose>',           
                    payload: '<payload>'            
                });

```

{% endcode %}

Refer to the following table for more information on the Address details component events.

<table><thead><tr><th width="217">Event purpose</th><th>Event payload example</th><th width="205">Description</th></tr></thead><tbody><tr><td>reloadAddressDetails</td><td>n/a</td><td>Publish this event to reload the Address details component.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalriver.com/salesforce-lightning/salesforce-lightning-b2b-commerce-app-1.4/extend-the-salesforce-lightning-app/customizing-the-lightning-web-components/components/address-details-component.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
